curl --request GET \
--url https://api.fabric.inc/v3/product-attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fabric.inc/v3/product-attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/product-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/product-attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/product-attributes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/product-attributes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/product-attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "64c1557de1f95e3214660ceb",
"name": "serialNumber",
"description": "Serial number which starts with the 1 and keeps incrementing 10 for the subsequent call",
"type": "SERIAL",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"startWith": 1,
"increment": 10
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ce1f95e3214660ce6",
"name": "isLive",
"description": "Boolean attribute to capture if the product is live.",
"type": "BOOLEAN",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660ce1",
"name": "Date Attribute",
"description": "Attribute to capture date",
"type": "DATETIME",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": false,
"dateFormat": "MM/DD/YYYY",
"formula": ""
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660c12",
"name": "percentage",
"description": "Attribute to capture percentage",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": true,
"max": 100,
"min": 0
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660cdc",
"name": "Weight in pounds",
"description": "Weight of the parcel in pounds",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "(async ()=> parseFloat(await attribute('64c15579e1f95e3214660cce')) * 2.2)()",
"isDecimal": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660cce",
"name": "Weight",
"description": "Weight of the parcel",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ae1f95e3214660cd9",
"name": "Age",
"description": "Attribute to capture age",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": false
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660abc",
"name": "MultiOption",
"description": "Color Attribute",
"isLocalizable": false,
"target": "PRODUCT",
"type": "OPTIONS",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"subType": "MULTIPLE",
"acceptedValues": [
"Colour",
"Flavour"
]
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660cce",
"name": "MultiOption",
"description": "Color Attribute",
"isLocalizable": true,
"target": "PRODUCT",
"type": "OPTIONS",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"subType": "MULTIPLE",
"localizedAcceptedValues": {
"en-GB": [
"Colour",
"Flavour"
],
"en-US": [
"Color",
"Flavor"
]
}
},
"localizedProperties": {
"en-GB": {
"name": "Multi-Option"
}
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ae1f95e3214660dd3",
"name": "Color",
"description": "Color Attribute",
"isLocalizable": true,
"target": "PRODUCT",
"type": "TEXT",
"validation": {
"isMandatory": false,
"subType": "TEXT_AREA",
"formula": "",
"isManualOverwrite": false
},
"localizedProperties": {
"en-GB": {
"name": "Colour"
}
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15577e1f95e3214660cbe",
"name": "Small Text example",
"isLocalizable": false,
"target": "PRODUCT",
"type": "TEXT",
"validation": {
"isMandatory": false,
"subType": "SMALL_TEXT",
"isManualOverwrite": false,
"formula": ""
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
}
],
"offset": 0,
"limit": 10,
"count": 10
}{
"message": "Request is invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request. Check your parameters or request body."
}
]
}{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "PAYLOAD_LIMIT_EXCEEDED_ERROR",
"message": "Payload exceeds maximum configured size"
}{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}Get Attributes
Retrieves all available attributes that can be assigned to a specified target—either item or category. You can refine results using offset and limit query parameters. If not specified, the response defaults to a maximum of 10 attributes.
curl --request GET \
--url https://api.fabric.inc/v3/product-attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fabric.inc/v3/product-attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/product-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/product-attributes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/product-attributes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/product-attributes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/product-attributes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "64c1557de1f95e3214660ceb",
"name": "serialNumber",
"description": "Serial number which starts with the 1 and keeps incrementing 10 for the subsequent call",
"type": "SERIAL",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"startWith": 1,
"increment": 10
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ce1f95e3214660ce6",
"name": "isLive",
"description": "Boolean attribute to capture if the product is live.",
"type": "BOOLEAN",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660ce1",
"name": "Date Attribute",
"description": "Attribute to capture date",
"type": "DATETIME",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": false,
"dateFormat": "MM/DD/YYYY",
"formula": ""
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660c12",
"name": "percentage",
"description": "Attribute to capture percentage",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": true,
"max": 100,
"min": 0
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660cdc",
"name": "Weight in pounds",
"description": "Weight of the parcel in pounds",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "(async ()=> parseFloat(await attribute('64c15579e1f95e3214660cce')) * 2.2)()",
"isDecimal": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660cce",
"name": "Weight",
"description": "Weight of the parcel",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ae1f95e3214660cd9",
"name": "Age",
"description": "Attribute to capture age",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": false
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660abc",
"name": "MultiOption",
"description": "Color Attribute",
"isLocalizable": false,
"target": "PRODUCT",
"type": "OPTIONS",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"subType": "MULTIPLE",
"acceptedValues": [
"Colour",
"Flavour"
]
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660cce",
"name": "MultiOption",
"description": "Color Attribute",
"isLocalizable": true,
"target": "PRODUCT",
"type": "OPTIONS",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"subType": "MULTIPLE",
"localizedAcceptedValues": {
"en-GB": [
"Colour",
"Flavour"
],
"en-US": [
"Color",
"Flavor"
]
}
},
"localizedProperties": {
"en-GB": {
"name": "Multi-Option"
}
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ae1f95e3214660dd3",
"name": "Color",
"description": "Color Attribute",
"isLocalizable": true,
"target": "PRODUCT",
"type": "TEXT",
"validation": {
"isMandatory": false,
"subType": "TEXT_AREA",
"formula": "",
"isManualOverwrite": false
},
"localizedProperties": {
"en-GB": {
"name": "Colour"
}
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15577e1f95e3214660cbe",
"name": "Small Text example",
"isLocalizable": false,
"target": "PRODUCT",
"type": "TEXT",
"validation": {
"isMandatory": false,
"subType": "SMALL_TEXT",
"isManualOverwrite": false,
"formula": ""
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
}
],
"offset": 0,
"limit": 10,
"count": 10
}{
"message": "Request is invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request. Check your parameters or request body."
}
]
}{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "PAYLOAD_LIMIT_EXCEEDED_ERROR",
"message": "Payload exceeds maximum configured size"
}{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Query Parameters
Comma-separated locale codes of product. You'll get a 400 error if the locales aren't supported. Refer to standard locales in https://www.rfc-editor.org/rfc/rfc5646.
"fr-CA, en-US"
Response
OK
Attribute details
Was this page helpful?
